# GLM: glm::gtx::normalize_dot Namespace Reference

# glm::gtx::normalize_dot Namespace Reference

GLM_GTX_normalize_dot extension: Dot product of vectors that need to be normalize with a single square root. More...

## Functions

template<typename genType >
genType::value_type | fastNormalizeDot (genType const &x, genType const &y)
| Normalize parameters and returns the dot product of x and y.
template<typename genType >
genType::value_type | normalizeDot (genType const &x, genType const &y)
| Normalize parameters and returns the dot product of x and y.

## Detailed Description

GLM_GTX_normalize_dot extension: Dot product of vectors that need to be normalize with a single square root.

## Function Documentation

genType::value_type glm::gtx::normalize_dot::fastNormalizeDot | ( | genType const & | x,
|  | genType const & | y |
| ) |  |  |

Normalize parameters and returns the dot product of x and y.

Faster that dot(fastNormalize(x), fastNormalize(y)). From GLM_GTX_normalize_dot extension.

genType::value_type glm::gtx::normalize_dot::normalizeDot | ( | genType const & | x,
|  | genType const & | y |
| ) |  |  |

Normalize parameters and returns the dot product of x and y.

It's faster that dot(normalize(x), normalize(y)). From GLM_GTX_normalize_dot extension.